/* *##% 
 * EUGene :: EUGene
 * Copyright (C) 2004 - 2009 CodeLutin
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 *
 * You should have received a copy of the GNU General Lesser Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * ##%*/

package org.nuiton.eugene.models.object.xml;

import java.util.ArrayList;
import java.util.Collection;

import org.nuiton.eugene.models.object.ObjectModelEnumeration;

/**
 * ObjectModelEnumerationImpl.
 *
 * Created: may 4th 2009
 *
 * @author Florian Desbois <desbois@codelutin.com>
 * Copyright Code Lutin
 * @version $Revision: 478 $
 *
 */
public class ObjectModelEnumerationImpl extends ObjectModelClassifierImpl
        implements ObjectModelEnumeration {

    /**
     * Collection of references corresponding to literal values
     */
    private Collection<ObjectModelImplRef> literalRefs = new ArrayList<ObjectModelImplRef>();

//    /**
//     * Collection of operations objectModel
//     */
//    private Collection<ObjectModelOperation> operations = new ArrayList<ObjectModelOperation>();

//    /**
//     * Package name from objectModel file, loaded with Digester
//     */
//    private String packageName;

//    public void setPackage(String packageName) {
//        this.packageName = packageName;
//    }
//
//    public String getPackage() {
//        return this.packageName;
//    }
    /**
     * Add a literal to the ObjectModelEnumeration from Digester
     * @param ref corresponding to a Literal value
     */
    public void addLiteral(ObjectModelImplRef ref) {
        literalRefs.add(ref);
    }

//    /**
//     * Add an operation to the ObjectModelEnumeration from Digester
//     * @param operation
//     */
//    public void addOperation(ObjectModelOperationImpl operation) {
//        operation.postInit();
//        operation.setDeclaringElement(this);
//        operations.add(operation);
//    }
//
//    @Override
//    public String getPackageName() {
//        return this.packageName;
//    }
//
//    @Override
//    public String getQualifiedName() {
//        return this.packageName+"."+this.getName();
//    }

    @Override
    public Collection<String> getLiterals() {
        Collection<String> results = new ArrayList<String>();
        for (ObjectModelImplRef ref : literalRefs) {
            results.add(ref.getName());
        }
        return results;
    }

//    @Override
//    public Collection<ObjectModelOperation> getOperations() {
//        return operations;
//    }

}
