/* *##% 
 * EUGene :: EUGene
 * Copyright (C) 2004 - 2009 CodeLutin
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 *
 * You should have received a copy of the GNU General Lesser Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * ##%*/

package org.nuiton.eugene.models.object.xml;

import org.nuiton.eugene.models.object.ObjectModelParameter;

/**
 * ObjectModelParameterImpl.
 * 
 * Created: 14 janv. 2004
 * 
 * @author Cédric Pineau <pineau@codelutin.com> Copyright Code Lutin
 * 
 * @version $Revision: 755 $
 * 
 * Last update : $Date: 2009-12-15 00:50:27 +0100 (mar., 15 déc. 2009) $ by : $Author: tchemit $
 */
public class ObjectModelParameterImpl extends ObjectModelElementImpl implements
        ObjectModelParameter {

    protected String type = null;
    protected int minMultiplicity = 1;
    protected int maxMultiplicity = 1;
    protected String ordering = "unspecified";
    protected boolean isUnique = true;
    protected String defaultValue = null;

    public ObjectModelParameterImpl() {
        super();
    }

    public void setType(String type) {
        this.type = type;
    }
    
    public void setMinMultiplicity(int minMultiplicity) {
        this.minMultiplicity = minMultiplicity;
    }

    public void setMaxMultiplicity(int maxMultiplicity) {
        this.maxMultiplicity = maxMultiplicity;
    }

    public void setOrdering(String ordering) {
        this.ordering = ordering;
    }

    public void setUnique(boolean unique) {
        this.isUnique = unique;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    @Override
    public String getType() {
        return type;
    }

    @Override
    public String getDefaultValue() {
        return defaultValue;
    }

    @Override
    public int getMinMultiplicity() {
        return minMultiplicity;
    }

    @Override
    public int getMaxMultiplicity() {
        return maxMultiplicity;
    }

    /**
     * @see org.nuiton.eugene.models.object.ObjectModelAttribute#isOrdered()
     */
    @Override
    public boolean isOrdered() {
        return "ordered".equals(ordering);
    }

    @Override
    public boolean isUnique() {
        return this.isUnique;
    }

    @Override
    public String toString() {
        return getType() + " " + getName() + "<<" + getStereotypes()
                + ">> tagvalue: " + getTagValues();
    }
}
